.\" $NetBSD: ubsa.4,v 1.6 2007/02/17 08:36:18 wiz Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Lennart Augustsson.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd February 10, 2007
.Dt UBSA 4
.Os
.Sh NAME
.Nm ubsa
.Nd USB support for Belkin serial adapters
.Sh SYNOPSIS
.Cd "ubsa*  at uhub?"
.Cd "ucom*  at ubsa?"
.Sh HARDWARE
The
.Nm
driver supports the following adapters:
.Pp
.Bl -tag -width Dv -offset indent -compact
.It Belkin F5U103
.It Belkin F5U120
.It e-Tek Labs Kwik232
.It GoHubs GoCOM232
.It Option N.V. Mobile Connect 3G datacard
.It Option N.V. GlobeTrotter Fusion Quad Lite UMTS/GPRS
.It Option N.V. GlobeTrotter Fusion Quad Lite 3D
.It Peracom single port serial adapter
.El
.Sh DESCRIPTION
The
.Nm
driver provides support for the USB-to-RS-232 Bridge chip used by a variety of
serial adapters from Belkin and other vendors.
The bridge is also embedded
into several UMTS/GPRS cards.
.Pp
The device is accessed through the
.Xr ucom 4
driver which makes it behave like a
.Xr tty 4 .
.Sh SEE ALSO
.Xr tty 4 ,
.Xr ucom 4 ,
.Xr usb 4
.Sh HISTORY
The
.Nm
driver first appeared in
.Fx 5.0
and was ported to
.Nx 2.0 .
